# -*- coding: utf-8 -*-

class TarSizeCounter:
    def __init__(self):
        self.size = 0

    def add_file(self, tarinfo):
        self.size += tarinfo.size
        return tarinfo

SIZE_PREFIXES = ('', 'k', 'M', 'G', 'T', 'P', 'E', 'Z', 'Y')

def readable_size(bytes):
    i = 0
    while bytes > 1024:
        i += 1
        bytes /= 1024
    return f'{bytes:.2f} {SIZE_PREFIXES[i]}B'
